|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

[Previous: Using Precompiled Headers] [Contents] [Next: qmake Variable Reference]

# qmake Reference

This reference is a detailed index of all the variables and function that are available for use in `qmake` project files.

## Variable Reference

The qmake Variable Reference describes the variables that are recognized by `qmake` when configuring the build process for projects.

## Function Reference

The qmake Function Reference describes the function that can be used to process the contents of variables defined in project files.

## Frequently Used Variables

The following variables are frequently used in project files to describe common aspects of the build process. These are fully described in the Variable Reference.

- CONFIG
- DEF_FILE
- DEFINES
- DESTDIR
- DISTFILES
- DLLDESTDIR
- FORMS
- FORMS3
- GUID
- HEADERS
- INCLUDEPATH
- LEXSOURCES
- LIBS
- MOC_DIR
- OBJECTS_DIR
- QT
- RCC_DIR
- REQUIRES
- SOURCES
- SUBDIRS
- TARGET
- TEMPLATE
- TRANSLATIONS
- UI_DIR
- UI_HEADERS_DIR
- UI_SOURCES_DIR
- VERSION
- YACCSOURCES

## Environment Variables and Configuration

The Configuring qmake's Environment chapter of this manual describes the environment variables that `qmake` uses when configuring the build process.

[Previous: Using Precompiled Headers] [Contents] [Next: qmake Variable Reference]